org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface WorkspaceBridge.Factory

All Known Implementing Classes:
  VProjectWorkspaceBridge.FactoryImpl

Enclosing interface:
  WorkspaceBridge

    public static interface WorkspaceBridge.Factory

A factory interface for `WorkspaceBridge`. It seems to tend to become a workspace relations type object, that is not tied to a particular `DebugTargetImpl`, but so far it only has 1 additional method.

### Method Summary

All Methods Instance Methods Abstract Methods
`WorkspaceBridge` `attachedToVm(ConnectedTargetData connectedTargetData, JavascriptVm javascriptVm)` Creates new instance of `WorkspaceBridge` when connection to V8 VM is already established.
`java.lang.String` `getDebugModelIdentifier()`
`WorkspaceBridge.JsLabelProvider` `getLabelProvider()` Since we define here how scripts are mapped to workspace, we may want to specify labels in UI.

### Method Detail

#### attachedToVm

    WorkspaceBridge attachedToVm(ConnectedTargetData connectedTargetData,
                                 JavascriptVm javascriptVm)

Creates new instance of `WorkspaceBridge` when connection to V8 VM is already established.

#### getDebugModelIdentifier

    java.lang.String getDebugModelIdentifier()

#### getLabelProvider

    WorkspaceBridge.JsLabelProvider getLabelProvider()

Since we define here how scripts are mapped to workspace, we may want to specify labels in UI. Each type of bridges provides its own label providers here. User may cache value of this method.